<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.lukouguoji.gnj.page.cangdan.add.GnjCangDanAddViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_f2"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <include layout="@layout/title_tool_bar" />

        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:orientation="vertical"
            android:padding="10dp"
            android:background="@drawable/collect_item_shape">

            <!--主内容区-->
            <ScrollView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:overScrollMode="never">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <!--            主内容区-->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">
                        <!--第一列-->
                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_horizontal"
                            android:orientation="vertical">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="60dp"
                                android:gravity="start"
                                android:orientation="vertical"
                                android:paddingLeft="5dp">
                                <!--                文字-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="运单号" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="2dp"
                                        android:text="*"
                                        android:textColor="@color/red" />
                                </LinearLayout>
                                <!--内容-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_marginTop="5dp"
                                    android:background="@drawable/input_shape"
                                    android:gravity="center"
                                    android:orientation="horizontal">

                                    <EditText
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:layout_weight="1"
                                        android:background="@drawable/input_edit_text"
                                        android:enabled="false"
                                        android:imeOptions="actionDone"
                                        android:maxLines="1"
                                        android:singleLine="true"
                                        android:text="@{viewModel.waybillCode}"
                                        />

                                </LinearLayout>

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="60dp"
                                android:gravity="start"
                                android:orientation="vertical"
                                android:paddingLeft="5dp">
                                <!--                文字-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="运单件数" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="2dp"
                                        android:text="*"
                                        android:textColor="@color/red" />
                                </LinearLayout>
                                <!--内容-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_marginTop="5dp"
                                    android:background="@drawable/input_shape"
                                    android:gravity="center"
                                    android:orientation="horizontal">

                                    <EditText
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:layout_weight="1"
                                        android:background="@drawable/input_edit_text"
                                        android:imeOptions="actionDone"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:singleLine="true"
                                        android:text="@={viewModel.waybillCount}"
                                        />
                                </LinearLayout>

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="60dp"
                                android:gravity="start"
                                android:orientation="vertical"
                                android:paddingLeft="5dp">
                                <!--                文字-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="计费重量" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="2dp"
                                        android:text="*"
                                        android:textColor="@color/red" />
                                </LinearLayout>
                                <!--内容-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_marginTop="5dp"
                                    android:background="@drawable/input_shape"
                                    android:gravity="center"
                                    android:orientation="horizontal">

                                    <EditText
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:layout_weight="1"
                                        android:background="@drawable/input_edit_text"
                                        android:imeOptions="actionDone"
                                        android:inputType="numberDecimal"
                                        android:maxLines="1"
                                        android:singleLine="true"
                                        android:text="@={viewModel.chargingWeight}"
                                        />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginRight="5dp"
                                        android:text="KG"
                                        />
                                </LinearLayout>

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="60dp"
                                android:gravity="start"
                                android:orientation="vertical"
                                android:paddingLeft="5dp">
                                <!--                文字-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="运单类型" />

                                </LinearLayout>
                                <!--内容-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_marginTop="5dp"
                                    android:background="@drawable/input_shape"
                                    android:gravity="center"
                                    android:orientation="horizontal">

                                    <EditText
                                        android:onClick="@{viewModel::onWaybillType}"
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:layout_weight="1"
                                        android:background="@drawable/input_edit_text"
                                        android:imeOptions="actionDone"
                                        android:inputType="text"
                                        android:maxLines="1"
                                        android:singleLine="true"
                                        android:text="@{viewModel.waybillType}"
                                        />
                                </LinearLayout>

                            </LinearLayout>

                        </LinearLayout>

                        <!--第二列-->
                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_horizontal"
                            android:orientation="vertical">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="60dp"
                                android:gravity="start"
                                android:orientation="vertical"
                                android:paddingLeft="5dp">
                                <!--                文字-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="代理人" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="2dp"
                                        android:text="*"
                                        android:textColor="@color/red" />
                                </LinearLayout>
                                <!--内容-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_marginTop="5dp"
                                    android:background="@drawable/input_shape"
                                    android:gravity="center"
                                    android:orientation="horizontal">

                                    <EditText
                                        android:onClick="@{viewModel::onAgentCode}"
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:layout_weight="1"
                                        android:background="@drawable/input_edit_text"
                                        android:enabled="false"
                                        android:imeOptions="actionDone"
                                        android:maxLines="1"
                                        android:singleLine="true"
                                        android:text="@{viewModel.agent}"
                                        />

                                </LinearLayout>

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="60dp"
                                android:gravity="start"
                                android:orientation="vertical"
                                android:paddingLeft="5dp">
                                <!--                文字-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="实到件数" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="2dp"
                                        android:text="*"
                                        android:textColor="@color/red" />
                                </LinearLayout>
                                <!--内容-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_marginTop="5dp"
                                    android:background="@drawable/input_shape"
                                    android:gravity="center"
                                    android:orientation="horizontal">

                                    <EditText
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:layout_weight="1"
                                        android:background="@drawable/input_edit_text"
                                        android:cursorVisible="false"
                                        android:focusable="false"
                                        android:focusableInTouchMode="false"
                                        android:imeOptions="actionDone"
                                        android:inputType="number"
                                        android:maxLines="1"
                                        android:singleLine="true"
                                        android:text="@={viewModel.actualCount}"
                                        />
                                </LinearLayout>

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="60dp"
                                android:gravity="start"
                                android:orientation="vertical"
                                android:paddingLeft="5dp">
                                <!--                文字-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="始发港" />

                                </LinearLayout>
                                <!--内容-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_marginTop="5dp"
                                    android:background="@drawable/input_shape"
                                    android:gravity="center"
                                    android:orientation="horizontal">

                                    <EditText
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:layout_weight="1"
                                        android:background="@drawable/input_edit_text"
                                        android:enabled="false"
                                        android:imeOptions="actionDone"
                                        android:inputType="text"
                                        android:maxLines="1"
                                        android:singleLine="true"
                                        android:text="@={viewModel.origin}"
                                        />
                                </LinearLayout>

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="60dp"
                                android:gravity="start"
                                android:orientation="vertical"
                                android:paddingLeft="5dp">
                                <!--                文字-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="业务类型" />

                                </LinearLayout>
                                <!--内容-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_marginTop="5dp"
                                    android:background="@drawable/input_shape"
                                    android:gravity="center"
                                    android:orientation="horizontal">

                                    <Button
                                        android:onClick="@{viewModel::onBusinessType}"
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:layout_weight="1"
                                        android:background="@drawable/input_edit_text"
                                        android:gravity="start"
                                        android:text="@{viewModel.businessType}"
                                        />
                                </LinearLayout>

                            </LinearLayout>

                        </LinearLayout>

                        <!--第三列-->
                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center_horizontal"
                            android:orientation="vertical">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="60dp"
                                android:gravity="start"
                                android:orientation="vertical"
                                android:paddingLeft="5dp">
                                <!--                文字-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="特码" />

                                </LinearLayout>
                                <!--内容-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_marginTop="5dp"
                                    android:background="@drawable/input_shape"
                                    android:gravity="center"
                                    android:orientation="horizontal">

                                    <EditText
                                        android:onClick="@{viewModel::onSpcode}"
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:layout_weight="1"
                                        android:background="@drawable/input_edit_text"
                                        android:enabled="false"
                                        android:imeOptions="actionDone"
                                        android:inputType="numberDecimal"
                                        android:maxLines="1"
                                        android:singleLine="true"
                                        android:text="@{viewModel.spCode}"
                                        />

                                </LinearLayout>

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="60dp"
                                android:gravity="start"
                                android:orientation="vertical"
                                android:paddingLeft="5dp">
                                <!--                文字-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="实到重量" />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="2dp"
                                        android:text="*"
                                        android:textColor="@color/red" />
                                </LinearLayout>
                                <!--内容-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_marginTop="5dp"
                                    android:background="@drawable/input_shape"
                                    android:gravity="center"
                                    android:orientation="horizontal">

                                    <EditText
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:layout_weight="1"
                                        android:background="@drawable/input_edit_text"
                                        android:enabled="false"
                                        android:imeOptions="actionDone"
                                        android:inputType="numberDecimal"
                                        android:maxLines="1"
                                        android:singleLine="true"
                                        android:text="@={viewModel.actualWeight}"
                                        />

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginRight="5dp"
                                        android:text="KG"
                                        />
                                </LinearLayout>

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="60dp"
                                android:gravity="start"
                                android:orientation="vertical"
                                android:paddingLeft="5dp">
                                <!--                文字-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="目的港" />

                                </LinearLayout>
                                <!--内容-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_marginTop="5dp"
                                    android:background="@drawable/input_shape"
                                    android:gravity="center"
                                    android:orientation="horizontal">

                                    <EditText
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:layout_weight="1"
                                        android:background="@drawable/input_edit_text"
                                        android:imeOptions="actionDone"
                                        android:inputType="text"
                                        android:maxLines="1"
                                        android:singleLine="true"
                                        android:text="@={viewModel.dest}"
                                        />
                                </LinearLayout>

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="60dp"
                                android:gravity="start"
                                android:orientation="vertical"
                                android:paddingLeft="5dp">
                                <!--                文字-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="危险品库位" />

                                </LinearLayout>
                                <!--内容-->
                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_marginTop="5dp"
                                    android:background="@drawable/input_shape"
                                    android:gravity="center"
                                    android:orientation="horizontal">

                                    <EditText
                                        android:onClick="@{viewModel::onDgrLocation}"
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginLeft="2dp"
                                        android:layout_weight="1"
                                        android:background="@drawable/input_edit_text"
                                        android:imeOptions="actionDone"
                                        android:inputType="numberDecimal"
                                        android:maxLines="1"
                                        android:singleLine="true"
                                        android:text="@{viewModel.dgrLocation}"
                                        />
                                </LinearLayout>

                            </LinearLayout>

                        </LinearLayout>
                    </LinearLayout>

                    <!--            品名-->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="60dp"
                        android:gravity="start"
                        android:orientation="horizontal"
                        android:padding="5dp">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_weight="2"
                            android:layout_height="match_parent"
                            android:gravity="center_horizontal"
                            android:orientation="vertical">
                            <!--                文字-->
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="品名" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="2dp"
                                    android:text="*"
                                    android:textColor="@color/red" />

                            </LinearLayout>
                            <!--内容-->
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="30dp"
                                android:layout_marginTop="5dp"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <EditText
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:background="@drawable/input_edit_text"
                                    android:imeOptions="actionDone"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text="@={viewModel.goods}"
                                    />

                            </LinearLayout>

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_weight="1"
                            android:layout_height="match_parent"
                            android:gravity="center_horizontal"
                            android:orientation="vertical"
                            android:paddingLeft="5dp">
                            <!--                文字-->
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="危险品描述" />

                            </LinearLayout>
                            <!--内容-->
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="30dp"
                                android:layout_marginTop="5dp"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <EditText
                                    android:onClick="@{viewModel::onDgrDetail}"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:background="@drawable/input_edit_text"
                                    android:imeOptions="actionDone"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text="@{viewModel.dgrDetail}"
                                    />

                            </LinearLayout>

                        </LinearLayout>

                    </LinearLayout>

                    <!--            备注-->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="60dp"
                        android:gravity="start"
                        android:orientation="horizontal"
                        android:padding="5dp">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_weight="2"
                            android:layout_height="match_parent"
                            android:gravity="center_horizontal"
                            android:orientation="vertical">
                            <!--                文字-->
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="备注" />

                            </LinearLayout>
                            <!--内容-->
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="30dp"
                                android:layout_marginTop="5dp"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <EditText
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:background="@drawable/input_edit_text"
                                    android:imeOptions="actionDone"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text="@={viewModel.remark}"
                                    />

                            </LinearLayout>

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_weight="1"
                            android:layout_height="match_parent"
                            android:gravity="center_horizontal"
                            android:orientation="vertical"
                            android:paddingLeft="5dp">
                            <!--                文字-->
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="UN编号" />

                            </LinearLayout>
                            <!--内容-->
                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="30dp"
                                android:layout_marginTop="5dp"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <EditText
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:background="@drawable/input_edit_text"
                                    android:imeOptions="actionDone"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:singleLine="true"
                                    android:text="@={viewModel.unCode}"
                                    />

                            </LinearLayout>

                        </LinearLayout>

                    </LinearLayout>


                </LinearLayout>
            </ScrollView>



        </LinearLayout>


        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="#5c6890"
            android:gravity="center_vertical"
            android:paddingHorizontal="15dp">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1" />

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{()->viewModel.onCancel()}"
                android:text="取消" />

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{()->viewModel.onSave(false)}"
                android:text="保存" />

        </androidx.appcompat.widget.LinearLayoutCompat>

    </LinearLayout>

</layout>